List Training Observation Reports
curl --request GET \
--url https://app.govworx.net/api/v1/external/train/user/{userId}/reportsimport requests
url = "https://app.govworx.net/api/v1/external/train/user/{userId}/reports"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.govworx.net/api/v1/external/train/user/{userId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalElements": 123,
"totalPages": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": 123,
"title": "<string>",
"summary": "<string>",
"type": "FEEDBACK_REPORT",
"status": "DRAFT",
"author": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"recipient": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"subject": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"subjectId": 123,
"subjectFullName": "<string>",
"requireRecipientReview": true,
"ccs": [
"<string>"
],
"sentAt": "2023-11-07T05:31:56Z",
"acknowledgedAt": "2023-11-07T05:31:56Z",
"acknowledgedBy": "<string>",
"torExists": true,
"createdAt": "2023-11-07T05:31:56Z",
"phaseId": 123,
"signoffConfigId": 123,
"isAuthorSignoffUserForFirstLevel": true,
"feedbackEventIds": [
123
],
"automatedFeedbackReportConfigName": "<string>",
"signoff": {
"id": 123,
"levels": [
{
"id": 123,
"users": [
{
"id": 123,
"user": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"isRequired": true,
"isReviewer": true,
"statusDate": "2023-11-07T05:31:56Z",
"comment": "<string>",
"status": "NOT_SENT"
}
],
"level": 123,
"numberOfSignoffsRequired": 123,
"status": "NOT_SENT",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"conditionSearchId": 123,
"conditionSearchName": "<string>",
"conditionFilterType": "INCLUDE",
"conditionEvaluationResult": true,
"conditionEvaluatedAt": "2023-11-07T05:31:56Z",
"conditionEventsMatched": 123,
"conditionTotalEvents": 123,
"omittedByCondition": true,
"conditional": true
}
],
"status": "NOT_SENT",
"createdAt": "2023-11-07T05:31:56Z",
"feedbackReports": [
{
"id": 123,
"type": "FEEDBACK_REPORT",
"subject": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"author": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"phaseId": 123,
"phaseName": "<string>",
"trainingDate": "2023-12-25",
"submissionNumber": 123
}
],
"phaseEnrollments": [
{
"id": 123,
"type": "FEEDBACK_REPORT",
"user": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"primaryTrainingOfficer": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"loginEnabled": true,
"notificationEmail": "<string>",
"id": 123,
"tenantId": 123,
"idpSub": "<string>",
"personnelId": "<string>",
"roleId": 123,
"isSuperAdmin": true,
"isSystemUser": true,
"mfaEnabled": true,
"lastLoginAt": "2023-11-07T05:31:56Z",
"isSupervisor": true,
"isTemplatePublishingAllowed": true,
"vlrIdentifier": "<string>",
"passwordExpiresAt": "2023-11-07T05:31:56Z",
"isPasswordExpired": true,
"isSupportUser": true,
"investmentTrainingPipeline": true
},
"phaseId": 123,
"phaseName": "<string>",
"startDate": "2023-12-25",
"projectedEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"status": "SCHEDULED",
"minTrainingHours": 123
}
]
}
}
],
"number": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"unpaged": true
},
"empty": true
}TRAIN
List Training Observation Reports
Get a paginated list of training observation reports for a user. Token must have ‘Manage Training Feedback’ permission.
GET
/
api
/
v1
/
external
/
train
/
user
/
{userId}
/
reports
List Training Observation Reports
Path Parameters
Response
200 - */*
OK
⌘I

